package org.dromara.common.sms.client;

import jakarta.xml.soap.SOAPConnection;
import jakarta.xml.soap.SOAPConnectionFactory;
import jakarta.xml.soap.SOAPException;

public class SOAPConnectionUtil {

	public static SOAPConnectionWare getConnection(){
		SOAPConnectionFactory soapConnFactory;
		SOAPConnection connection = null;
		try {
			soapConnFactory = SOAPConnectionFactory.newInstance();
			connection = soapConnFactory.createConnection();
		} catch (UnsupportedOperationException | SOAPException e) {
			e.printStackTrace();
		}
        return new SOAPConnectionWare(connection);
	}

}
